From repocop@altlinux.org Fri May  9 02:32:24 MSK 2025
From: "Repocop Q. A. Robot" <repocop@altlinux.org>

Subject: repocop NMU

- NMU (by repocop). See http://www.altlinux.org/Tools/Repocop
- applied repocop fixes:
  * altlinux-policy-obsolete-buildreq for nvidia_glx_src_470.256.02
  * postclean-03-private-rpm-macros for the spec file

--- a/nvidia_glx_src.spec	2025-05-09 02:32:24.301799881 +0300
+++ b/nvidia_glx_src.spec	2025-05-09 02:32:24.301799881 +0300
@@ -220,39 +220,39 @@
     readelf -a $1| grep SONAME| sed 's/.*\[//'| sed 's/\].*//'
 }
 
-%__mkdir_p %buildroot/%_sbindir
-%__mkdir_p %buildroot/%tls_lib_dir
-%__mkdir_p %buildroot/%nv_lib_dir
-%__mkdir_p %buildroot/%x11_mod_dir
-#%__mkdir_p %buildroot/%x11_mod_old
-%__mkdir_p %buildroot/%x11_drv_dir
-#%__mkdir_p %buildroot/%x11_drv_old
-%__mkdir_p %buildroot/%x11_ext_dir
-#%__mkdir_p %buildroot/%x11_ext_old
-%__mkdir_p %buildroot/%lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib_sym_dir
-%__mkdir_p %buildroot/%nv_lib32_sym_dir
-%__mkdir_p %buildroot/%xdrv_d
-#%__mkdir_p %buildroot/%xdrv_d_old
-%__mkdir_p %buildroot/%xdrv_pre_d
-%__mkdir_p %buildroot/%xinf_dir
-%__mkdir_p %buildroot/%nv_workdirdir
-%__mkdir_p %buildroot/%_datadir/nvidia/
+mkdir -p %buildroot/%_sbindir
+mkdir -p %buildroot/%tls_lib_dir
+mkdir -p %buildroot/%nv_lib_dir
+mkdir -p %buildroot/%x11_mod_dir
+#mkdir -p %buildroot/%x11_mod_old
+mkdir -p %buildroot/%x11_drv_dir
+#mkdir -p %buildroot/%x11_drv_old
+mkdir -p %buildroot/%x11_ext_dir
+#mkdir -p %buildroot/%x11_ext_old
+mkdir -p %buildroot/%lib_sym_dir
+mkdir -p %buildroot/%nv_lib_sym_dir
+mkdir -p %buildroot/%nv_lib32_sym_dir
+mkdir -p %buildroot/%xdrv_d
+#mkdir -p %buildroot/%xdrv_d_old
+mkdir -p %buildroot/%xdrv_pre_d
+mkdir -p %buildroot/%xinf_dir
+mkdir -p %buildroot/%nv_workdirdir
+mkdir -p %buildroot/%_datadir/nvidia/
 
 
 # install libraries
-%__install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glvkspirv.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-eglcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-glsi.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-tls.so.%tbver %buildroot/%_libdir/
 %ifnarch aarch64
-%__install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-compiler.so.%tbver %buildroot/%_libdir/
 %endif
 %ifnarch %ix86 armh
-%__install -m 0644 %subd/libnvidia-cbl.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
-%__install -m 0644 %subd/libnvidia-vulkan-producer.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-cbl.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-rtcore.so.%tbver %buildroot/%_libdir/
+install -m 0644 %subd/libnvidia-vulkan-producer.so.%tbver %buildroot/%_libdir/
 %endif
 #
 
@@ -261,50 +261,50 @@
 ln -sr %buildroot/%nv_lib_dir/nvidia.xinf %buildroot/%xinf_dir/nvidia-%version.xinf
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
+install -m 0644 %subd/nvidia_drv.so %buildroot/%nv_lib_dir/
 %endif
 
 %if_enabled package_wfb
 [ -f %subd/libnvidia-wfb.so.%tbver ] && \
-%__install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
+install -m 0644 %subd/libnvidia-wfb.so.%tbver %buildroot/%nv_lib_dir/libwfb.so
 %endif
 
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
+install -m 0644 %subd/libglxserver_nvidia.so.%tbver %buildroot/%nv_lib_dir/libglxserver_nvidia.so
 %endif
 
-%__install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
+install -m 0644 %subd/libGLdispatch.so.0  %buildroot/%nv_lib_dir/libGLdispatch.so
 #
 %if_enabled glvnd
-%__install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%gl_libver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%egl_libver  %buildroot/%nv_lib_dir/libEGL.so
 %else
-%__install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
-%__install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
+install -m 0644 %subd/libGL.so.%tbver  %buildroot/%nv_lib_dir/libGL.so
+install -m 0644 %subd/libEGL.so.%tbver  %buildroot/%nv_lib_dir/libEGL.so
 %endif
 #
-%__install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
+install -m 0644 %subd/libEGL_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libEGL_nvidia.so
 ln -sr %buildroot/%nv_lib_dir/libEGL_nvidia.so %buildroot/%_libdir/libEGL_nvidia.so.0
-%__install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
-%__install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
-%__install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
-%__install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
-%__install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
-%__install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
-%__install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
+install -m 0644 %subd/libGLESv2.so.2.1.0  %buildroot/%nv_lib_dir/libGLESv2.so
+install -m 0644 %subd/libGLESv2_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv2_nvidia.so
+install -m 0644 %subd/libGLESv1_CM.so.1.2.0  %buildroot/%nv_lib_dir/libGLESv1_CM.so
+install -m 0644 %subd/libGLESv1_CM_nvidia.so.%tbver %buildroot/%nv_lib_dir/libGLESv1_CM_nvidia.so
+install -m 0644 %subd/libGLX.so.0  %buildroot/%nv_lib_dir/libGLX.so
+install -m 0644 %subd/libGLX_nvidia.so.%tbver    %buildroot/%nv_lib_dir/libGLX_nvidia.so
+install -m 0644 %subd/libnvidia-allocator.so.%tbver    %buildroot/%nv_lib_dir/libnvidia-allocator.so
 %ifnarch %ix86 armh
 ln -sr %buildroot/%_libdir/libnvidia-vulkan-producer.so.%tbver %buildroot/%nv_lib_dir/libnvidia-vulkan-producer.so
 %endif
 
-%__install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
+install -m 0644 %subd/libvdpau_nvidia.so.%tbver %buildroot/%nv_lib_dir/libvdpau_nvidia.so
 %ifarch x86_64 aarch64
-%__install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
+install -m 0644 %subd/libnvidia-cfg.so.%tbver %buildroot/%nv_lib_dir/libnvidia-cfg.so
 %endif
 /sbin/ldconfig -n %buildroot/%nv_lib_dir
 
-%__install -m 0644 nvidia-application-profiles-%version-rc \
+install -m 0644 nvidia-application-profiles-%version-rc \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-rc
-%__install -m 0644 nvidia-application-profiles-%version-key-documentation \
+install -m 0644 nvidia-application-profiles-%version-key-documentation \
     %buildroot/%_datadir/nvidia/nvidia-application-profiles-%version-key-documentation
 
 mkdir -p %buildroot/%_datadir/glvnd/egl_vendor.d/
@@ -325,10 +325,10 @@
 
 %if_enabled kernelsource
 # kernel-source install
-%__rm -rf kernel-source-%module_name-%module_version/
-%__mkdir_p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
-%__cp -ar kernel/* kernel-source-%module_name-%module_version/
-%__cp LICENSE kernel-source-%module_name-%module_version/
+rm -rf kernel-source-%module_name-%module_version/
+mkdir -p %buildroot/%_usrsrc/kernel/sources/ kernel-source-%module_name-%module_version/
+cp -ar kernel/* kernel-source-%module_name-%module_version/
+cp LICENSE kernel-source-%module_name-%module_version/
 tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
     %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
 %endif
